import axios from 'axios'
// import { dotnetPath } from "../path/axiosPath";
// import { getToken } from "@baloise/vue-keycloak";
import { getToken } from './auth'

const axiosInstance = axios.create({
  withCredentials: false,
})

// axiosInstance.defaults.baseURL = dotnetPath;
axiosInstance.interceptors.request.use(
  async (config) => {
    const token = await getToken()
    config.headers = {
      Authorization: `Bearer ${token}`,
    }
    return config
  },
  (error) => {
    Promise.reject(error)
  }
)

export default axiosInstance
